Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst
Interface AnalystListener

All Known Implementing Classes:
  ConsoleAnalystListener

    public interface AnalystListener

Reports the progress of the Encog Analyst. If you would like to use this with an Encog StatusReportable object, use the bridge utilituy object: org.encog.app.analyst.util.AnalystReportBridge

Method Summary
`void` | `report(int total, int current, String message)` Report progress on a task.
`void` | `reportCommandBegin(int total, int current, String name)` Report that a command has begun.
`void` | `reportCommandEnd(boolean canceled)` Report that a command has ended.
`void` | `reportTraining(MLTrain train)` Report progress on training.
`void` | `reportTrainingBegin()` Report that training has begun.
`void` | `reportTrainingEnd()` Report that training has ended.
`void` | `requestCancelCommand()` Request to cancel current command.
`void` | `requestShutdown()` Request stop the entire process.
`boolean` | `shouldShutDown()`
`boolean` | `shouldStopCommand()`

Method Detail

### requestShutdown

    void requestShutdown()

  Request stop the entire process.

### requestCancelCommand

    void requestCancelCommand()

  Request to cancel current command.

### shouldShutDown

    boolean shouldShutDown()

  Returns:
    True if the entire process should be stopped.

### shouldStopCommand

    boolean shouldStopCommand()

  Returns:
    True if the current command should be stopped.

### reportCommandBegin

    void reportCommandBegin(int total,
                            int current,
                            String name)

  Report that a command has begun.

  Parameters:
    `total` - The total parts.
    `current` - The current part.
    `name` - The name of that command.

### reportCommandEnd

    void reportCommandEnd(boolean canceled)

  Report that a command has ended.

  Parameters:
    `canceled` - True if this command was canceled.

### reportTrainingBegin

    void reportTrainingBegin()

  Report that training has begun.

### reportTrainingEnd

    void reportTrainingEnd()

  Report that training has ended.

### reportTraining

    void reportTraining(MLTrain train)

  Report progress on training.

  Parameters:
    `train` - The training object.

### report

    void report(int total,
                int current,
                String message)

  Report progress on a task.

  Parameters:
    `total` - The total number of commands.
    `current` - The current command.
    `message` - The message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.